Author: jfclere
Date: Thu Jan 24 08:58:02 2013
New Revision: 1437909

URL: http://svn.apache.org/viewvc?rev=1437909&view=rev
Log:
Add check for version/release in libtcnative.rc and tcn_version.h.

Modified:
    tomcat/native/branches/1.1.x/jnirelease.sh

Modified: tomcat/native/branches/1.1.x/jnirelease.sh
URL: 
http://svn.apache.org/viewvc/tomcat/native/branches/1.1.x/jnirelease.sh?rev=1437909&r1=1437908&r2=1437909&view=diff
==============================================================================
--- tomcat/native/branches/1.1.x/jnirelease.sh (original)
+++ tomcat/native/branches/1.1.x/jnirelease.sh Thu Jan 24 08:58:02 2013
@@ -145,6 +145,22 @@ do
     fi
 done
 
+# check the release if release.
+if [ "x$JKJNIEXT" = "xtrunk" ]; then
+   echo "Not a release"
+else
+   grep TCN_IS_DEV_VERSION ${JKJNIDIST}/jni/native/include/tcn_version.h | 
grep 0
+   if [ $? -ne 0 ]; then
+     echo "Check: ${JKJNIDIST}/jni/native/include/tcn_version.h it says -dev"
+     exit 1
+   fi
+   WIN_VERSION=`grep TCN_VERSION 
${JKJNIDIST}/jni/native/os/win32/libtcnative.rc | grep define | awk ' { print 
$3 } '`
+   if [ "x\"$JKJNIVER\"" != "x$WIN_VERSION" ]; then
+     echo "Check: ${JKJNIDIST}/jni/native/os/win32/libtcnative.rc says 
$WIN_VERSION (FILEVERSION, PRODUCTVERSION, TCN_VERSION"
+     exit 1
+   fi
+fi
+
 top="`pwd`"
 cd ${JKJNIDIST}/jni/xdocs
 ant



---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscr...@tomcat.apache.org
For additional commands, e-mail: dev-h...@tomcat.apache.org

Reply via email to